Bug 153031 - installing xmms-flac causes xmms to crash on startup.
installing xmms-flac causes xmms to crash on startup.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: flac (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-31 20:27 EST by Jef Spaleta
Modified: 2013-03-13 00:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-04 14:38:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace text sent to terminal on xmms startup attempt (4.02 KB, text/plain)
2005-03-31 20:27 EST, Jef Spaleta
no flags Details

  None (edit)
Description Jef Spaleta 2005-03-31 20:27:48 EST
Description of problem:
32bit athlon system
after installing xmms-flac-1.1.2-2
starting xmms i get an error: 
*** glibc detected *** xmms: double free or corruption (out): 0x0054e1a0 ***
followed by a backtrace.

if i remove the xmms-flac package xmms starts up as expected.

Version-Release number of selected component (if applicable):
xmms-1.2.10-11
xmms-flac-1.1.2-2


Steps to Reproduce:
1. install xmms from rawhide, start it up
2.  install xmms-flac from rawhide
3.  try to start xmms again.. no longer starts up 
  

Additional info:
I'm going to attach the backtrace spewage to the terminal. 
If you need me to do anything else please let me know.
Comment 1 Jef Spaleta 2005-03-31 20:27:48 EST
Created attachment 112555 [details]
backtrace text sent to terminal on xmms startup attempt
Comment 2 Mephisto 2005-04-03 14:50:09 EDT
i get this too. it started happening since 1.1.2-1, every older version is ok.
recompiling the package does not help.
Comment 3 John (J5) Palmieri 2005-04-04 14:38:13 EDT
xmms is moving to extras.  xmms-flac will be removed.
Comment 4 jens.koerber 2005-07-28 19:43:48 EDT
fixed by

--- flac-1.1.2.orig/src/plugin_xmms/configure.c 2005-01-25 05:26:29.000000000 +0100
+++ flac-1.1.2/src/plugin_xmms/configure.c      2005-07-29 03:34:34.000000000 +0200
@@ -55,13 +55,13 @@
                100 /* KB */, /* http_buffer_size */
                50, /* http_prebuffer */
                FALSE, /* use_proxy */
-               "", /* proxy_host */
+               NULL, /* proxy_host */
                0, /* proxy_port */
                FALSE, /* proxy_use_auth */
-               "", /* proxy_user */
-               "", /* proxy_pass */
+               NULL, /* proxy_user */
+               NULL, /* proxy_pass */
                FALSE, /* save_http_stream */
-               "", /* save_http_path */
+               NULL, /* save_http_path */
                FALSE, /* cast_title_streaming */
                FALSE /* use_udp_channel */
        },

diff -urN xmms-1.2.10.orig/Input/mpg123/mpg123.c xmms-1.2.10/Input/mpg123/mpg123.c
--- xmms-1.2.10.orig/Input/mpg123/mpg123.c      2004-02-20 00:00:04.000000000 +0100
+++ xmms-1.2.10/Input/mpg123/mpg123.c   2005-07-29 03:00:20.000000000 +0200
@@ -397,6 +397,8 @@
                        if (!strncasecmp(ext, ".rm", 3) ||
                            !strncasecmp(ext, ".ra", 3)  ||
                            !strncasecmp(ext, ".rpm", 4)  ||
+                            !strncasecmp(ext, ".fla", 4)  ||
+                            !strncasecmp(ext, ".flac", 5)  ||
                            !strncasecmp(ext, ".ram", 4))
                                return FALSE;
                } 


Note You need to log in before you can comment on or make changes to this bug.